com.jscape.filetransfer

## Class FileTransferErrorEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.filetransfer.FileTransferEvent
    - - com.jscape.filetransfer.FileTransferErrorEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FileTransferErrorEvent
      extends FileTransferEvent

  Fired when file is uploaded to server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferErrorEvent(FileTransfer source, java.lang.String filename, java.lang.String path, java.lang.String localPath, int mode)` Creates a new event instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(FileTransferListener listener)` Accepts event via FileTransferListener.
    `java.lang.String` | `getFilename()` Gets name of file uploaded.
    `java.lang.String` | `getLocalPath()` Returns uploaded file local path.
    `long` | `getMode()`
    `java.lang.String` | `getPath()` Gets remote path the file was uploaded to.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferErrorEvent

          public FileTransferErrorEvent(FileTransfer source,
                                        java.lang.String filename,
                                        java.lang.String path,
                                        java.lang.String localPath,
                                        int mode)

      Creates a new event instance.
      Parameters:
        `source` - the source of the event
        `filename` - the file uploaded
        `path` - the remote path the file was uploaded to
        `localPath` - the local file path

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

      Gets name of file uploaded.
      Returns:
        filename

    - #### getPath

          public java.lang.String getPath()

      Gets remote path the file was uploaded to.
      Returns:
        remote directory path

    - #### getLocalPath

          public java.lang.String getLocalPath()

      Returns uploaded file local path.
      Returns:
        uploaded file local path

    - #### getMode

          public long getMode()

    - #### accept

          public void accept(FileTransferListener listener)

      Accepts event via FileTransferListener.
      Specified by:
        `accept` in class `FileTransferEvent`
      Parameters:
        `listener` - the listener which receives event

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.EventObject`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved